#ifndef CSETTINGSWINDOW_H
#define CSETTINGSWINDOW_H

#include "GlobalDefine.h"
#include <QDialog>
#include <QTabBar>
#include <QLineEdit>
#include <QCalendarWidget>
#include <QComboBox>
#include <QPushButton>
#include "ProgramSettings.h"

class CSMSClient;


class CSettingsWindow : public QDialog
{
    Q_OBJECT
public:
    CSettingsWindow();
    virtual ~CSettingsWindow();

    CSMSClient *mProgramHandle;

    QWidget *mSMSPage;
    QTabBar *mOptionsTabBar;
    QLineEdit *mVoipMSUsername;
    QLineEdit *mVoipMSPassword;
    QCalendarWidget *mVoipMSCalendar;
    QComboBox *mDIDSelectionDropList;
    QPushButton *mRetreiveDIDSButton;

    QPushButton *mDoneButton;

    unsigned int SetSettingsData(CSettings *SettingsData);

public slots:
    void TabBarClicked(int);
    void RetreiveDIDButtonClicked(bool);
    void DIDsListFetched(QStringList);
    void DoneButtonClicked(bool);
};

#endif // CSETTINGSWINDOW_H
